<?php

namespace TreeType\Typography\Action;

/**
 * Test class for SpaceAfterPunctuationAdd.
 * Generated by PHPUnit on 2012-09-11 at 13:25:36.
 * @group typography
 */
class SpaceAfterPunctuationAddTest extends \PHPUnit_Framework_TestCase
{
    /** @var SpaceAfterPunctuationAdd */
    private $object;
    private $punctuation;

    protected function setUp()
    {
        $this->punctuation = array(',', '.', ';', ':', '…', '!', '?');
        $this->object = new SpaceAfterPunctuationAdd();
        $this->object->addPunctuation($this->punctuation);
    }

    public function testModify()
    {
        foreach ($this->punctuation as $punctuation) {
            parent::assertEquals("Hello{$punctuation} World", $this->object->modify("Hello{$punctuation}World"));
            parent::assertEquals("čekej{$punctuation} světe", $this->object->modify("čekej{$punctuation}světe"));
            // no modification if punctuation is at the end
            parent::assertEquals("Hello World{$punctuation}", $this->object->modify("Hello World{$punctuation}"));
            if ($punctuation != '…') {
                parent::assertEquals("Hello World{$punctuation}{$punctuation}{$punctuation}", $this->object->modify("Hello World{$punctuation}{$punctuation}{$punctuation}"));
                // no modification between numbers
                parent::assertEquals("20{$punctuation}5", $this->object->modify("20{$punctuation}5"));
            }
        }

        parent::assertEquals("hello, 20.5", $this->object->modify("hello,20.5"));
        //parent::assertEquals("20.5, hello", $this->object->modify("20.5,hello"));
    }
}
